GRDLANDMASK(1)

NAME
grdlandmask - Create "wet-dry" mask grdfile from shoreline data base.

SYNOPSIS
grdlandmask -Gmask_grd_file] -Ixinc[m|c][/yinc[m|c]] -Rwest/east/south/north[r] [ -Amin_area[/min_level/max_level] ] [ -Dresolution ] [ -F ] [ -Nmaskvalues[o] ] [ -V ]

DESCRIPTION
grdlandmask reads the selected shoreline database and uses that information to decide which nodes in the specified grid are over land or over water. The nodes defined by the selected region and lattice spacing will be set according to one of two criteria: (1) land vs water, or (2) the more detailed (hierarchical) ocean vs land vs lake vs island vs pond. The resulting mask grdfile may be used in subsequent operations involving grdmath to mask out data from land [or water] areas.

-G  Name of resulting output mask grd file.

-I  x_inc [and optionally y_inc] is the grid spacing. Append m to indicate minutes or c to indicate seconds.

-R  xmin, xmax, ymin, and ymax specify the Region of interest. For geographic regions, these limits correspond to west, east, south, and north and you may specify them in decimal degrees or in [+-]dd:mm[:ss.xxx][W|E|S|N] format. Append r if lower left and upper right map coordinates are given instead of wesn. The two shorthands -Rg -Rd stand for global domain (0/360 or -180/+180 in longitude respectively, with -90/+90 in latitude). For calendar time coordinates you may either give relative time (relative to the selected TIME_EPOCH and in the selected TIME_UNIT; append t to -JX|x), or absolute time of the form [date]T[clock] (append T to -JX|x). At least one of date and clock must be present; the T is always required. The date string must be of the form [-]yyyy[-mm[-dd]] (Gregorian calendar) or yyyy[-Www[-d]] (ISO week calendar), while the clock string must be of the form hh:mm:ss[.xxx]. The use of delimiters and their type and positions must be as indicated (however, input/output and plotting formats are flexible).

OPTIONS

-A  Features with an area smaller than min_area in km^2 or of hierarchical level that is lower than min_level or higher than max_level will be ignored [Default is 0/4 (all features)]. See DATABASE INFORMATION in the pscoast man-pages for more details.

-D  Selects the resolution of the data set to use ((f)ull, (h)igh, (i)ntermediate, (l)ow, or (c)rude). The resolution drops off by ~80% between data sets. [Default is l]. Note that because the coastlines differ in details a node in a mask file using one resolution is not guaranteed to remain inside [or outside] when a different resolution is selected.

-F  Force pixel registration. [Default is grid registration].

-N  Sets the values that will be assigned to nodes. Values can be any number, including the textstring NaN. Append o to let nodes exactly on feature boundaries be considered outside [Default is inside]. Specify this information using 1 of 2 formats:
            -Nwet/dry.
            -Nocean/land/lake/island/pond.
    [Default is 0/1/0/1/0 (i.e., 0/1)].

-V  Selects verbose mode, which will send progress reports to stderr [Default runs "silently"].

EXAMPLES
To set all nodes on land to NaN, and nodes over water to 1, using the high resolution data set, do

grdlandmask -R-60/-40/-40/-30 -Dh -I5m -N1/NaN -Gland_mask.grd -V

To make a 1x1 degree global grid with the hierarchical levels of the nodes based on the low resolution data:

grdlandmask -R0/360/-90/90 -Dl -I1 -N0/1/2/3/4 -Glevels.grd -V

SEE ALSO
gmt(1), grdmath(1), grdclip(1), psmask(1), psclip(1), pscoast(1)